Package org.silverpeas.components.silvercrawler.model

## Class FileFolder

- java.lang.Object
- - org.silverpeas.components.silvercrawler.model.FileFolder

- All Implemented Interfaces:
    `Serializable`

      public class FileFolder
      extends Object
      implements Serializable

  Class declaration
  Author:
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileFolder​(String rootPath, String path)` | Constructor declaration
    `FileFolder​(String rootPath, String path, boolean isAdmin, String componentId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<FileDetail>` | `getFiles()` |
    `Collection<FileDetail>` | `getFolders()` |
    `String` | `getName()` |
    `String` | `getPath()` |
    `boolean` | `isReadable()` |
    `boolean` | `isWritable()` |
    `void` | `setReadable​(boolean readable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileFolder

          public FileFolder​(String rootPath,
                            String path)

      Constructor declaration
      Parameters:
        `rootPath` -
        `path` -

    - #### FileFolder

          public FileFolder​(String rootPath,
                            String path,
                            boolean isAdmin,
                            String componentId)

  - ### Method Detail

    - #### isWritable

          public boolean isWritable()

    - #### getFiles

          public Collection<FileDetail> getFiles()

      Returns:

    - #### getFolders

          public Collection<FileDetail> getFolders()

      Returns:

    - #### getName

          public String getName()

      Returns:

    - #### getPath

          public String getPath()

      Returns:

    - #### setReadable

          public void setReadable​(boolean readable)

      Parameters:
        `readable` - the readable to set

    - #### isReadable

          public boolean isReadable()

      Returns:
        the readable